> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Update Agent Details

PUT https://agentverse.ai/v2/agents/{agent_address}
Content-Type: application/json

Reference: https://docs.agentverse.ai/api-reference/agents/update-agent-details

## Request

### Path parameters

- `agent_address` (string, required)

### Body (application/json)

This endpoint expects an AgentUpdates.

- `address` (string, required) — Agent's address (bech32 encoded public key with prefix 'agent')
- `name` (string, optional) — Agent's name
- `handle` (string, optional) — Agent's unique handle
- `redirect_url` (string, optional) — URL to redirect for proxy agent interactions
- `profile` (AgentProfile, optional)

## Response

### 200

Successful Response

- `status` (enum, required) — Current operational status of the agent
  - Allowed values: `active`, `offline`, `local`
- `type` (enum, required) — Type/category of the agent
  - Allowed values: `uagent`, `a2a`, `hosted`, `mailbox`, `proxy`, `local`, `custom`
- `address` (string, required) — Unique blockchain address of the agent
- `endpoints` (list of AgentEndpoint, required) — List of agent's endpoints
- `protocols` (list of string, required) — Supported protocol identifiers
- `expiry` (string, required) — Expiration timestamp of the agent
- `domain_name` (string, optional) — Associated domain name, if available
- `metadata` (map from string to any, optional) — Additional arbitrary metadata

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### AgentProfile

- `description` (string, optional, default: ) — Short description of the agent
- `readme` (string, optional, default: ) — Detailed README for the agent
- `avatar_url` (string, optional, default: ) — URL to the agent's avatar image

### AgentEndpoint

- `url` (string, required)
- `weight` (integer, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "address": "foo"
}
```

**Response**

```json
{
  "address": "foo",
  "name": "",
  "handle": "foo",
  "redirect_url": "foo",
  "profile": {
    "description": "",
    "readme": "",
    "avatar_url": ""
  },
  "registered_at": "foo"
}
```

**SDK Code**

```python agentsUpdateAgentDetailsExample
import requests

url = "https://agentverse.ai/v2/agents/agent_address"

payload = { "address": "foo" }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript agentsUpdateAgentDetailsExample
const url = 'https://agentverse.ai/v2/agents/agent_address';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: '{"address":"foo"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go agentsUpdateAgentDetailsExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v2/agents/agent_address"

	payload := strings.NewReader("{\n  \"address\": \"foo\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby agentsUpdateAgentDetailsExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v2/agents/agent_address")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"address\": \"foo\"\n}"

response = http.request(request)
puts response.read_body
```

```java agentsUpdateAgentDetailsExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://agentverse.ai/v2/agents/agent_address")
  .header("Content-Type", "application/json")
  .body("{\n  \"address\": \"foo\"\n}")
  .asString();
```

```php agentsUpdateAgentDetailsExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://agentverse.ai/v2/agents/agent_address', [
  'body' => '{
  "address": "foo"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp agentsUpdateAgentDetailsExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v2/agents/agent_address");
var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"address\": \"foo\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift agentsUpdateAgentDetailsExample
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["address": "foo"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v2/agents/agent_address")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```